Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.sql
Class SQLExceptionWrapper

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.sql.SQLException
                        |
                        +--com.caucho.sql.SQLExceptionWrapper

All Implemented Interfaces:
  ExceptionWrapper, java.io.Serializable

public class SQLExceptionWrapper
extends java.sql.SQLException
implements ExceptionWrapper

Wraps an exception in a SQLException wrapper.

See Also:
  Serialized Form

Constructor Summary
`SQLExceptionWrapper(java.lang.String message)` Creates the wrapper with a message.
`SQLExceptionWrapper(java.lang.String message, java.lang.Throwable e)` Creates the wrapper with a message and a root cause.
`SQLExceptionWrapper(java.lang.Throwable e)` Creates the wrapper with a root cause.

Method Summary
`java.lang.Throwable` | `getRootCause()` Returns the root cause.

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLExceptionWrapper

    public SQLExceptionWrapper(java.lang.String message)

  Creates the wrapper with a message.

### SQLExceptionWrapper

    public SQLExceptionWrapper(java.lang.String message,
                               java.lang.Throwable e)

  Creates the wrapper with a message and a root cause.
  Parameters:
    `message` - the message.
    `e` - the rootCause exception

### SQLExceptionWrapper

    public SQLExceptionWrapper(java.lang.Throwable e)

  Creates the wrapper with a root cause.
  Parameters:
    `message` - the message.
    `e` - the rootCause exception

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the root cause.
  Specified by:
    `getRootCause` in interface `ExceptionWrapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD